<button ng-class="vm.getButtonStyle()" ng-click="vm.toggleMenu($event)" ng-switch="vm.buttonIconOptions()"
  aria-haspopup="true" aria-expanded="{{vm.isMenuOpen()}}" aria-controls="{{vm.id()}}-list"
  aria-label="{{(vm.name || '')}} menu {{(vm.isMenuOpen() ? 'sluiten' : 'openen')}}" id="{{vm.id()}}">
  <span ng-switch-when="right">
    <span class="popup-menu-button-label">{{vm.getButtonLabel()}}</span>
    <zs-icon icon-type="{{vm.buttonIcon}}"></zs-icon>
  </span>
  <span ng-switch-default>
    <zs-icon icon-type="{{vm.buttonIcon}}"></zs-icon>
    <span class="popup-menu-button-label">{{vm.getButtonLabel()}}</span>
  </span>
</button>

<ul class="popup-menu-list" ng-if="vm.isMenuOpen()" zs-position-fixed="vm.getPositionOptions()" id="{{vm.id()}}-list"
  role="menu" aria-labelledby="{{vm.id()}}">
  <li role="none" class="popup-menu-list-item popup-menu-list-item-empty" ng-show="!vm.options().length&&vm.emptyLabel">
    {{vm.emptyLabel}}
  </li>
  <li class="popup-menu-list-item" ng-repeat="option in vm.options() track by option.name" ng-switch="option.type"
    option-name="{{::option.name}}" role="none">
    <button class="popup-menu-list-item-button" ng-click="vm.handleOptionClick(option, $event)"
      ng-disabled="option.disabled" ng-switch-default role="menuitem" id="{{vm.id()}}-option-{{option.name}}"
      aria-label="{{option.label}}">
      <zs-icon icon-type="{{option.iconClass}}"></zs-icon>
      <span class="popup-menu-list-item-label">{{option.label}}</span>
    </button>
    <a class="popup-menu-list-item-anchor" ng-href="{{option.link}}" ng-click="vm.handleOptionClick(option, $event)"
      ng-switch-when="link" ng-attr-target="{{ (option.target) ? option.target : undefined }}"
      ng-attr-rel="{{ (option.rel) ? option.rel : undefined }}" role="menuitem" aria-label="{{option.label}}">
      <zs-icon icon-type="{{option.iconClass}}"></zs-icon>
      <span class="popup-menu-list-item-label">{{option.label}}</span>
    </a>

  </li>
</ul>